Package wx :: Package lib :: Package agw :: Module multidirdialog :: Class MultiDirDialog

[frames | no frames]

## Type MultiDirDialog

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                        Dialog --+
                                 |
                                MultiDirDialog

A different implementation of wx.DirDialog which allows multiple folders to be selected at once.

Method Summary
| ``__init__`(self, parent, message, title, defaultPath, style, pos, size, name)` Default class constructor.
| ``BindEvents`(self)` Binds the events to specific methods.
| ``CreateButtons`(self)` Creates the Ok, cancel and new folder bitmap buttons.
| ``GetPaths`(self)` Returns the folders selected by the user.
| ``LayoutItems`(self)` Layout the widgets using sizers.
| ``OnCancel`(self, event)` Handles the Cancel wx.EVT_BUTTON event for the dialog.
| ``OnClose`(self, event)` User canceled the dialog.
| ``OnKeyUp`(self, event)` Handles the wx.EVT_CHAR_HOOK event for the dialog.
| ``OnOk`(self, event)` Handles the Ok wx.EVT_BUTTON event for the dialog.
| ``OnSelChanged`(self, event)` Handles the wx.EVT_TREE_SEL_CHANGED event for the tree control associated with MultiDirDialog.
| ``RecurseTopDir`(self, treeCtrl, item, itemText)` Recurse a directory tree to include the parent-folder.
| ``SetProperties`(self, title)` Sets few properties for the dialog.
| ``SetupDirCtrl`(self, defaultPath)` Setup the wx.GenericDirCtrl (icons, labels, etc...).

Property Summary

Class Variable Summary

Instance Method Details

### __init__(self, parent, message=u'Choose a directory', title=u'Browse For Folders', defaultPath='', style=536878144, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), name='multidirdialog')
(Constructor)

Default class constructor.

@param parent: the dialog parent widget; @param message: the message to show on the dialog; @param title: the dialog title; @param defaultPath: the default path, or the empty string; @param style: the custom dir dialog style; @param pos: the dialog position; @param size: the dialog size; @param name: the dialog name.

  Overrides:
    `wx.Dialog.__init__`

### BindEvents(self)

Binds the events to specific methods.

### CreateButtons(self)

Creates the Ok, cancel and new folder bitmap buttons.

### GetPaths(self)

Returns the folders selected by the user.

### LayoutItems(self)

Layout the widgets using sizers.

### OnCancel(self, event)

Handles the Cancel wx.EVT_BUTTON event for the dialog.

### OnClose(self, event)

User canceled the dialog.

### OnKeyUp(self, event)

Handles the wx.EVT_CHAR_HOOK event for the dialog.

### OnOk(self, event)

Handles the Ok wx.EVT_BUTTON event for the dialog.

### OnSelChanged(self, event)

Handles the wx.EVT_TREE_SEL_CHANGED event for the tree control associated with MultiDirDialog.

### RecurseTopDir(self, treeCtrl, item, itemText)

Recurse a directory tree to include the parent-folder.

@param treeCtrl: the tree control associated with wx.GenericDirCtrl; @param item: the selected tree control item; @param itemText: the selected tree control item text.

### SetProperties(self, title)

Sets few properties for the dialog.

### SetupDirCtrl(self, defaultPath)

Setup the wx.GenericDirCtrl (icons, labels, etc...).

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:36 2009 | http://epydoc.sf.net